Subject: [Int-dir] Review for draft-ietf-6tisch-minimal-15

From: Charlie Perkins <[email-masked]>
Date: Sun, 24 Apr 2016 09:23:25 -0700

Hello folks,

Here's what I have so far.  I wanted to finish going through the 
Appendix, but things are burning up elsewhere right now.

I put in various comments in the text, and made a diff to highlight 
them.  Many of these are simply syntax errors or stylistic problems, but 
there are some minor technical issues.

Overall, the document is in reasonable shape and could be published 
after another close proofreading.

The document seems ambivalent about whether or not RPL is mandated for 
minimal use.  I think that RPL should not be mandated but only 
recommended.  In the future, I hope that other protocols besides RPL 
will be seen to offer advantages, and I think that it would be pretty 
simple for the minimal draft to identify which routing protocol was in 
use.  In that case, RPL could be the "default", but nodes could use the 
minimal slot assignments to agree on another protocol for *their* 
minimal configuration.  Choice of routing protocol is a good bit 
different than choice of slot assignments and other layer-2 parameters.

Regards,
Charlie P.

---

From: Xavier Vilajosana <[email-masked]>
Date: Mon, 25 Apr 2016 09:40:51 +0200

Dear Charlie,

we will handle your comments efficiently. Thanks so much for that detailed
review.

kind regards,
Xavi

2016-04-24 18:23 GMT+02:00 Charlie Perkins <[email-masked]>:

>
> Hello folks,
>
> Here's what I have so far.  I wanted to finish going through the Appendix,
> but things are burning up elsewhere right now.
>
> I put in various comments in the text, and made a diff to highlight them.
> Many of these are simply syntax errors or stylistic problems, but there are
> some minor technical issues.
>
> Overall, the document is in reasonable shape and could be published after
> another close proofreading.
>
> recommended.  In the future, I hope that other protocols besides RPL will
> be seen to offer advantages, and I think that it would be pretty simple for
> the minimal draft to identify which routing protocol was in use.  In that
> case, RPL could be the "default", but nodes could use the minimal slot
> assignments to agree on another protocol for *their* minimal
> configuration.  Choice of routing protocol is a good bit different than
> choice of slot assignments and other layer-2 parameters.
>
> Regards,
> Charlie P.
>
>
>